Commit ff7652de authored by Satoshi Asami's avatar Satoshi Asami
Browse files

Merge from 1.249 minus $FreeBSD$ changes.

parent 5fc2fac4
......@@ -6,7 +6,7 @@
# bsd.port.mk - 940820 Jordan K. Hubbard.
# This file is in the public domain.
#
# $Id: bsd.port.mk,v 1.165.2.20 1997/01/11 11:33:49 asami Exp $
# $Id: bsd.port.mk,v 1.165.2.21 1997/01/12 12:40:51 asami Exp $
#
# Please view me with 4 column tabs!
......@@ -266,12 +266,12 @@ OPSYS!= uname -s
# tree we are and thus can't go relative. They can, of course, be overridden
# by individual Makefiles or local system make configuration.
.if (${OPSYS} == "NetBSD")
PORTSDIR?= ${DESTDIR}/usr/opt
PORTSDIR?= /usr/opt
.else
PORTSDIR?= ${DESTDIR}/usr/ports
PORTSDIR?= /usr/ports
.endif
LOCALBASE?= /usr/local
X11BASE?= /usr/X11R6
LOCALBASE?= ${DESTDIR}/usr/local
X11BASE?= ${DESTDIR}/usr/X11R6
DISTDIR?= ${PORTSDIR}/distfiles
_DISTDIR?= ${DISTDIR}/${DIST_SUBDIR}
PACKAGES?= ${PORTSDIR}/packages
......@@ -656,6 +656,7 @@ _MANPAGES:= ${_MANPAGES:S/$/.gz/}
# Don't build a port if it's broken.
################################################################
.if !defined(NO_IGNORE)
.if (defined(IS_INTERACTIVE) && defined(BATCH))
IGNORE= "is an interactive port"
.elif (!defined(IS_INTERACTIVE) && defined(INTERACTIVE))
......@@ -697,6 +698,7 @@ install:
package:
@${IGNORECMD}
.endif
.endif
.if defined(ALL_HOOK)
all:
......@@ -1474,7 +1476,7 @@ misc-depends:
clean-depends:
.if defined(FETCH_DEPENDS) || defined(BUILD_DEPENDS) || defined(LIB_DEPENDS) \
|| defined(RUN_DEPENDS)
@for dir in `${ECHO} ${FETCH_DEPENDS} ${BUILD_DEPENDS} ${LIB_DEPENDS} ${RUN_DEPENDS} | ${TR} '\040' '\012' | ${SED} -e 's/.*://' | sort | uniq`; do \
@for dir in `${ECHO} ${FETCH_DEPENDS} ${BUILD_DEPENDS} ${LIB_DEPENDS} ${RUN_DEPENDS} | ${TR} '\040' '\012' | ${SED} -e 's/.*://' | sort -u`; do \
if [ -d $$dir ] ; then \
(cd $$dir; ${MAKE} NOCLEANDEPENDS=yes clean clean-depends); \
fi \
......@@ -1598,6 +1600,14 @@ fake-pkg:
if [ -f ${PKGDIR}/REQ ]; then \
${CP} ${PKGDIR}/REQ ${PKG_DBDIR}/${PKGNAME}/+REQ; \
fi; \
for dep in `make package-depends | sort -u`; do \
if [ -d ${PKG_DBDIR}/$$dep ]; then \
if ! ${GREP} ^${PKGNAME}$$ ${PKG_DBDIR}/$$dep/+REQUIRED_BY \
>/dev/null 2>&1; then \
${ECHO} ${PKGNAME} >> ${PKG_DBDIR}/$$dep/+REQUIRED_BY; \
fi; \
fi; \
done; \
else \
${ECHO_MSG} "===> ${PKGNAME} is already installed - perhaps an older version?"; \
${ECHO_MSG} " If so, you may wish to \`\`pkg_delete ${PKGNAME}'' and install"; \
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment